#
# spec file for package python3-django-authority
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-django-authority
Version:        0.11
Release:        1.6
Summary:        A Django app that provides generic per-object-permissions for Django's auth app
License:        BSD License
Group:          Development/Libraries/Python
Source:         https://files.pythonhosted.org/packages/source/d/django-authority/django-authority-%{version}.tar.gz
Url:            https://github.com/jazzband/django-authority
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-django
BuildArch:      noarch

%description
This is a Django app for per-object-permissions that includes a bunch of helpers to create custom
permission checks.

%prep
%setup -q -n django-authority-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc README.rst LICENSE AUTHORS
%{python3_sitelib}/*

%changelog
* Sun Jul 17 2016 arun@gmx.de
- specfile:
  * update copyright year
  * updated project url
- update to version 0.11:
  * Added Migration in order to support Django 1.8
  * Dropped Support for Django 1.7 and lower
  * Remove SQL Migration Files
  * Documentation Updates
  * Fix linter issues
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Tue Dec 15 2015 arun@gmx.de
- update to version 0.10:
  * Fixed a bug with BasePermissionForm and django 1.8
* Sat Nov 14 2015 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.9:
  * Added support for Django 1.7 and 1.8
  * Dropped support for Django 1.3
* Sun Nov 30 2014 arun@gmx.de
- specfile:
  * added pypi location for tar-ball
  * updated README to README.rst
- update to version 0.8:
  * Added support for Django 1.6
- changes from version 0.7:
  * No longer doing dependent sub-queries. It will be faster to do two
    small queries instead of one with a dependent sub-query in the
    general case.
- changes from version 0.6:
  * Added support for custom user models (Django 1.5 only).
* Tue Jul 15 2014 toddrme2178@gmail.com
- Don't depend on python 3 packages
* Fri Apr 12 2013 p.drouand@gmail.com
- Update to version 0.5
  + No changelog available
- Clean specfile and some improvements
- Initial python3 support
* Sat Jan 16 2010 alexandre@exatati.com.br
- Update to 0.4.
* Wed Jan 13 2010 alexandre@exatati.com.br
- Initial package (0.3) for openSUSE.
